std::chrono::is_clock(3)

NAME
std::chrono::is_clock - std::chrono::is_clock

Synopsis
   Defined in header <chrono>
   template< class T > (since C++20)
   struct is_clock;
   If T satisfies the Clock requirements, provides the member constant value equal
   true. For any other type, value is false.
   For the purpose of this trait, the extent to which an implementation determines that
   a type cannot meet the Clock requirements is unspecified, except that a minimum T
   shall not qualify as a Clock unless it meets all of the following conditions:
     * The qualified-ids T::rep, T::period, T::duration, and T::time_point are all
       valid and each denotes a type;
     * The expressions T::is_steady and T::now() are each well-formed when treated as
       an unevaluated operand.
   The behavior of a program that adds specializations for is_clock or is_clock_v is
   undefined.

Template parameters
   T - a type to check
  Helper variable template
   template< class T > (since C++20)
   inline constexpr bool is_clock_v = is_clock<T>::value; Inherited from std::integral_constant

Member constants
   value true if T satisfies the Clock requirements , false otherwise
   [static] (public static member constant)

Member functions
   operator bool converts the object to bool, returns value
                 (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type bool
   type std::integral_constant<bool, value>

Possible implementation
   template<class>
   struct is_clock : std::false_type {};
   template<class T>
       requires
           requires {
               typename T::rep;
               typename T::period;
               typename T::duration;
               typename T::time_point;
               T::is_steady;
               T::now();
           }
   struct is_clock<T> : std::true_type {};